Package csb :: Package statistics :: Package samplers :: Class AbstractState

[frames] | no frames]

# Class AbstractState

source code

    object --+
             |
            AbstractState

Known Subclasses:
  - EnsembleState
  - , State

Represents a point in phase-space.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``momentum``'``,` `'``position``'``])``

Properties
| momentum
| position
Inherited from `object`: `__class__`

Property Details

### momentum

Get Method:
  unreachable.momentum(self)

### position

Get Method:
  unreachable.position(self)